<template>
  <div>
    <div>
<CModal
      title="Info"
      size="sm"
      :show.sync="smallModal">
      {{ SuccessMsg }}

</CModal>


<CCardBody>
    <h5> Over Aged</h5>
    <form class="form-inline">
  
   <h6>ID</h6>
  <div class="form-group mx-sm-2 mb-2">
    
   <input v-model="searchcode">
   
  </div>  
  
  
   <CButton size="sm" color="dark" class="ml-1" @click=" getAllProductionBarcode()"> Search </CButton>
  
</form>
       
  </CCardBody>

 </div>

<!-- Show Details Modal -->
<div id="overlay" v-if="ShowDetailsModal">
<div class="modal-dialog  modal-lg" >
<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Update Leaf Truck</h5>
    <button type="button" class="close"  @click="ShowDetailsModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
<div class="modal-body modal-lg">

<form >

  <div>
        <!-- <CListGroupItem href="#" color="secondary"> -->
    <CRow>
       <CCol sm="2" > Tread Code</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.Currentproductiondetails.material_Code
        />
      </CCol>
       <CCol sm="1" >Color Code</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.Currentproductiondetails.size_Code
        />
      </CCol>
    
    </CRow>
           <CRow>
       <CCol sm="2" > Description</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.Currentproductiondetails.comp_Code
        />
      </CCol>
       <CCol sm="1" >  Date</CCol>
      <CCol sm="3">
        <CInput
         readonly
        v-model   = this.Currentproductiondetails.prod_Date
        />
      </CCol>
    
    </CRow>
     <CRow>
       <CCol sm="2" >LT Truck No</CCol>
      <CCol sm="3">
        <CInput
          readonly
         v-model = this.Currentproductiondetails.mhename
        />
      </CCol>
    <CCol sm="1" >  Shift</CCol>
      <CCol sm="2">
        <CInput
         readonly
         v-model  = this.Currentproductiondetails.shift
        />
      </CCol>
    </CRow>
      <CRow>
      
      <CCol sm="2" >  Location</CCol>
      <CCol sm="3">
        <CInput
         readonly
         v-model  = this.Currentproductiondetails.locSW
        />
      </CCol>
         <CCol sm="1" >  Time</CCol>
      <CCol sm="3">
        <CInput
         readonly
        v-model   = this.Currentproductiondetails.prod_Time
        />
      </CCol>
    </CRow>


       <CRow>
      
   
    </CRow>
       <CRow>
       <CCol sm="2" >Treads</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.Currentproductiondetails.quantity
        />
      </CCol>
      <!-- <CCol sm="2" >  Ageing Period</CCol>
      <CCol sm="3">
        <CInput
         readonly
         v-model   = this.Currentproductiondetails.ageing_Time
        />
      </CCol> -->
 <CCol sm="1" > Age</CCol>
      <CCol sm="5">
        <CInput
          readonly
         v-model= this.Currentproductiondetails.currentAge
        />
      </CCol>
        <CCol sm="2" > </CCol>
        <CCol sm="2">
        <CInput
         readonly
        v-model   = this.Currentproductiondetails.ageStatus
        />
      </CCol>
     <CCol sm="1" > </CCol>
      <CCol sm="1">
      
       <CButton size="sm" color="dark" class="ml-1"  @click="UpdateToScrap()" >Scrap</CButton>
        
      </CCol>
     
     
    
      <CCol sm="5">
  <CButton size="sm" color="dark" class="ml-1"  @click="updateTakenToTb()" >Taken To Tyre Building</CButton>
   
      </CCol>
    </CRow>
      
  </div>

</form>

</div>
</div>
</div>
</div>




</div>
</template>

<script>
const apiurl = 'Trace_Production/'
const apiget =  'Trace_Production/GetTrace_ProductionforUser/'
const apiBarcode = 'Trace_Production/GetTrace_ProductionBarcode/'
const apiscrap =  'Trace_Scrap_Entry/'
//const apitakentotb = 
const items = [
  { key: 'production_Id',  },
  { key: 'material_Id',  },
  { key: 'prod_Date', }, 
  { key: 'shift_Id',    },
  { key: 'mhE_Id',      },
  { key: 'workCent_Id',     },
   { key: 'quantity',     },
 ]   

//import CTableWrapper from '.@/Table.vue' 
import Vue from 'vue'
import axios from 'axios'
import VUEAxios from 'vue-axios'
Vue.use(VUEAxios,axios)

export default {
   //components: { CTableWrapper },
  data ()
  {
     return {
    items: items.map((item, id) => { return {...item, id}}),
    
     fields: [
       // { key: 'show_details1',  label: '',  _style: 'width:1%', },
            
              { key: 'production_Id' , label: 'Id',},
              { key: 'material_Code', label: 'Tread Code',},
               { key: 'size_Code', label: 'Color Code',},
            //  { key: 'prod_Date', label: 'Time',  },             
              //{ key: 'shift',  label: 'Shift',   },              
              { key: 'mhE_Id',  label: 'Truck/Location', },              
              { key: 'workCent_Id',  label: 'Extruder',  },              
              { key: 'quantity',  label: 'Treads',   },              
                    
              
      ],

  details: [],
  collapseDuration: 0,
  errMsg:"",
  SuccessMsg:"",
  ShowAddModal:"",
  ShowDeleteModal:"",
  Currentproductiondetails:{
  production_Id: 0,
  taketotb: 4
  },
  CurrentScrapEntry:{
  scrap_EntryId: 0, updated_By: "", material_Id:0, entry_Time:new Date().toLocaleTimeString() ,  entry_Date: new Date().toISOString().slice(0,10), hold_Id: 0 ,mHEID:0},
  ShowUpdateModal:"",
  ShowDetailsModal:"",
  smallModal: false,
  status:"",
  searchcode:""
   }
  },
  
  
  mounted()
  {
  // this.getAllProductionDetails();
  },

  methods:
  {

   
  addMaterials()
  {
   //  alert(this.$url+ apiget),
    Vue.axios.post(this.$url+ apiget,this.newMaterial).then((response)=>{
       if(response.data.error)
       {
          alert('Data Error')
       }
       else
       {
        this.SuccessMsg ="Records Inserted Successfully.."
        this.getAllMaterialDetails();
       }
    })
   },

 getAllProductionBarcode()
 {
   this.ShowDetailsModal = true;
//alert(this.$url+ apiBarcode + this.searchcode)
Vue.axios.get(this.$url+ apiBarcode + this.searchcode)
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }


    else if(response.data.length == 0)
    {
     this.SuccessMsg = "No Tread Available for searched Barcode"
     this.smallModal = true;
     }

    else
       {
             
        this.Currentproductiondetails =response.data[0];
        if(this.Currentproductiondetails.ageStatus == "Over Aged")
            {
              this.ShowDetailsModal = true;
          
            }
        else
        {
          this.SuccessMsg = 'No Over Aged Items in Leaf Truck '+ this.searchcode    ;
                   //this.SuccessMsg ="There is No Item Currently Aged available for Searched ColorCode/Leaf Truck";
         this.smallModal = true;
        }
        
        //this.status = this.items.ageStatus;
       // this.subitems = response.data.fgS_FIFO_Material_Type_Master;

       }
    });

 },
  SelectMaterial(Material)
    {
     this.Currentproductiondetails = Material;
    
    },

    updateTakenToTb()
    {
     
    this.Currentproductiondetails.taketotb = 4;
    //alert(this.Currentproductiondetails.taketotb)
    //alert(this.$url + apiurl + this.Currentproductiondetails.production_Id )
    Vue.axios.put(this.$url + apiurl + this.Currentproductiondetails.production_Id , this.Currentproductiondetails).then((response)=>{
    //alert(this.Currentproductiondetails.taketotb)
       if(response.data.error)
       {
          alert('Data Error')
       }
       else if(response.data == "1")
       {
         
      this.SuccessMsg = "Already Updated",
      this.smallModal = true;

       }
       else
       {
         this.SuccessMsg ="Records Updated To Taken To TB.."
         this.smallModal = true;
         this.ShowDetailsModal = false;
        }
    })

    },

  UpdateToScrap()
  {
 //alert(this.Currentproductiondetails.barcode_Id)
  this.CurrentScrapEntry.updated_By= "";
  this.CurrentScrapEntry.entry_Time= new Date().toLocaleTimeString() ,
  this.CurrentScrapEntry.entry_Date= new Date().toISOString().slice(0,10),
  this.CurrentScrapEntry.barcode_Id=this.Currentproductiondetails.barcode_Id;
  this.CurrentScrapEntry.mHEID = this.Currentproductiondetails.mhE_Id;
  //alert(this.Currentproductiondetails.mhE_Id);
  Vue.axios.post(this.$url + apiscrap,this.CurrentScrapEntry).then((response)=>{
      if(response.data.error)
       {
          alert('Data Error')
       }

      else if(response.data == "1")
      {
         
      this.SuccessMsg = "Entry already done",
      this.smallModal = true;

      }
      else
      {
        this.SuccessMsg ="Records Updated Successfully.."
        this.smallModal = true;
        this.ShowUpdateModal = false;
         
      }
    })
   },

    
    },
  
    

}
</script>

<style scoped>
#overlay{
  position:fixed;
  top:100px;
  bottom:0;
  left:0;
  right:0;
  background:rgba(0,0,0,0.6);
}
</style>